cURL
curl --request GET \
--url https://api.spotflow.co/api/v1/transfers/bulk/{id}/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spotflow.co/api/v1/transfers/bulk/{id}/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spotflow.co/api/v1/transfers/bulk/{id}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"reference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"spotflowreference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"amount": 0,
"currency": "NGN",
"transferMode": "7706438396",
"destination": {
"accountNumber": "7706438396",
"accountName": "Quantum Technologies",
"bankCode": "NGN100",
"branchCode": "NGN100",
"bankName": "Testbank MFB"
},
"narrations": "string",
"status": "string"
}
],
"pageNumber": 1,
"pageSize": 10,
"totalElements": 100,
"totalPages": 10
}{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"message": "Authorization token is required.",
"statusCode": 401,
"code": "AUTH_ERROR",
"requestMarker": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Bulk Disbursements
Get Bulk Disbursements By ID
Fetch all transfer details present in a bulk disbursements file by its specific id to know the status of each transaction.
GET
/
transfers
/
bulk
/
{id}
/
transfers
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
This is the specific id used to get the individual transfer details in the uploaded bulk disbursement file.
Query Parameters
Page number for pagination (default is 0).
Number of items per page for pagination (default is 10).
⌘I

